Bug 804715 - [abrt] calibre-0.8.33-2.fc16: split.py:406:split_to_size:SplitError: Could not find reasonable point at which to split: Front%20matter.htm Sub-tree size: 329 KB
[abrt] calibre-0.8.33-2.fc16: split.py:406:split_to_size:SplitError: Could no...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:2bcccff6405eb0ce9d627689a3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 12:20 EDT by Ketan Patel
Modified: 2013-02-13 20:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (4.34 KB, text/plain)
2012-03-19 12:20 EDT, Ketan Patel
no flags Details

  None (edit)
Description Ketan Patel 2012-03-19 12:20:24 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.2.7-1.fc16.x86_64
reason:         split.py:406:split_to_size:SplitError: Could not find reasonable point at which to split: Front%20matter.htm Sub-tree size: 329 KB
time:           Fri 24 Feb 2012 01:26:57 PM EST
uid:            500

smolt_data:     Text file, 4442 bytes

backtrace:
:split.py:406:split_to_size:SplitError: Could not find reasonable point at which to split: Front%20matter.htm Sub-tree size: 329 KB
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 186, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
:    override_input_metadata=True)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1087, in run
:    self.opts, self.log)
:  File "/usr/lib64/calibre/calibre/ebooks/epub/output.py", line 170, in convert
:    split(self.oeb, self.opts)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 57, in __call__
:    self.split_item(item)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 67, in split_item
:    self.max_flow_size, self.oeb, self.opts)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 209, in __init__
:    self.split_to_size(tree)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 413, in split_to_size
:    self.split_to_size(tree)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 413, in split_to_size
:    self.split_to_size(tree)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 406, in split_to_size
:    raise SplitError(self.item.href, root)
:SplitError: Could not find reasonable point at which to split: Front%20matter.htm Sub-tree size: 329 KB
:
:Local variables in innermost frame:
:split_point: None
:tree: <lxml.etree._ElementTree object at 0x1230b368>
:self: <calibre.ebooks.oeb.transforms.split.FlowSplitter object at 0x123080d0>
:root: <Element {http://www.w3.org/1999/xhtml}html at 0x4c5b140>
:before: True
Comment 1 Ketan Patel 2012-03-19 12:20:27 EDT
Created attachment 571181 [details]
File: smolt_data
Comment 2 Kevin Fenzi 2012-03-19 14:21:52 EDT
Can you try the newest version from my side repo: 

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre

and see if the problem persists?
Comment 3 Ketan Patel 2012-03-19 15:31:57 EDT
same error with calibre-0.8.43-1 from your repo.

On error log it shows :::

	Looking for large trees in _chapter%2036.htm...
	No large trees found
	Split into 2 parts
		Splitting on page-break
		Splitting on page-break
	Looking for large trees in _chapter%2037.htm...
	No large trees found
	Split into 2 parts
	Looking for large trees in chmtoc.html...
	No large trees found
		Splitting on page-break
		Splitting on page-break
		Splitting on page-break
	Looking for large trees in Front%20matter.htm...
	Found large tree #0
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[1]/*/*[3]/*[3]
			Split tree too small
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[1]/*/*[3]/*[2]
			Split tree too small
		Splitting...
Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())


Not sure if that helps.
Comment 4 Fedora End Of Life 2013-01-16 18:16:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 20:40:17 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.